import { Optional, Resource } from "../../common";
import { APICollectionGene, StoreCollectionGene } from "./interfaces";
export declare class CollectionGene extends Resource {
    collectionId: string;
    createdAt: string;
    note: string;
    geneId: string;
    constructor(collectionId: string, createdAt: string, note: string, geneId: string);
    static get resourceName(): string;
    static get serviceName(): string;
    serializeAPI(): Optional<APICollectionGene, "id">;
    deserializeAPI(data: APICollectionGene): void;
    serializeRedux(): StoreCollectionGene;
    static apiFactory(data: APICollectionGene): CollectionGene;
    static reduxFactory(data: StoreCollectionGene): CollectionGene;
}
